#ifndef KONAPREVIEWIMAGEVIEW_H
#define KONAPREVIEWIMAGEVIEW_H

#include <QWidget>
#include "konaimage.h"

namespace Ui {
class KonaPreviewImageView;
}

class KonaPreviewImageView : public QWidget
{
    Q_OBJECT
    
public:
    explicit KonaPreviewImageView(QWidget *parent = 0);
    ~KonaPreviewImageView();
    KonaImage* getKonaImage() {return ki;}

private:
    KonaImage *ki;
    int imgReloadCounter;

public slots:
    void OpenImage();
    void previewDownloaded(KonaImage *Ki, QString localPath);
    void setCaption(QString text);
    void RMB();
    void downloadImage();

signals:
    void imageClicked(KonaImage*);
    void buttonClicked(KonaImage*);

private:
    Ui::KonaPreviewImageView *ui;
};

#endif // KONAPREVIEWIMAGEVIEW_H
